package com.bizmatics.mhfire.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.mhfire.model.Device;
import com.bizmatics.mhfire.persistence.mapper.vo.DeviceCollectVO;
import com.bizmatics.mhfire.service.DeviceService;
import com.bizmatics.mhfire.service.vo.DeviceMapVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 *
 * 设备信息表
 * @author ya
 * @since 2021-11-25
 */
@RestController
@RequestMapping("/device")
public class DeviceController {


    @Autowired
    public DeviceService deviceService;



    /**
     * 地图撒点
     * @return
     */
    @GetMapping("/mapList")
    public ApiResult<List<DeviceMapVO>> getMapList(){
        return ApiResult.success(deviceService.getMapList());
    }


    /**
     * 设备类型统计信息
     * @param current 页数
     * @param size 条数
     * @param deviceType 设备类型
     * @param deviceCode 设备编码
     * @return
     */
    @GetMapping("collect")
    public ApiResult<CommonPage<DeviceCollectVO>> getCollect(Integer current, Integer size, String deviceType, String deviceCode){
        return ApiResult.success(deviceService.getCollect(current,size,deviceType,deviceCode));
    }

    /**
     * 查看设备详情
     * @param id 主键id
     * @return
     */
    @GetMapping("/one")
    public ApiResult<Device> one(Long id){
        return ApiResult.success(deviceService.getById(id));
    }

}

