package com.bizmatics.mhfire.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.mhfire.service.DeviceInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**

 *设备心跳
 * @author ya
 * @since 2021-11-25
 */
@RestController
@RequestMapping("/deviceInfo")
public class DeviceInfoController {

    @Autowired
    public DeviceInfoService deviceInfoService;


    /**
     * 电量趋势
     * @param deviceCode 设备编号
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @return
     */
    @GetMapping("/elIco")
    public ApiResult<List<Map<String,Object>>> elIco(String deviceCode, Date startTime, Date endTime){
        return ApiResult.success(deviceInfoService.elIco(deviceCode,startTime,endTime));
    }
}

